blog/urls.py
from django.conf.urls import url
from . import views


urlpatterns = [
    url(r'^tag/(?P<tag>[-\w]+)/', views.tag_view, name="tag"),
    url(r'^category/(?P<category>[-\w]+)/feed/$', views.LatestCategoryFeed(), name="category_feed"),
    url(r'^category/(?P<category>[-\w]+)/', views.category_view, name="category"),
    url(r'^author/(?P<author>[-\w]+)/', views.author_view, name="author"),
    url(r'(?P<blog_slug>[\w-]+)/rss.*/',
        views.LatestEntriesFeed(),
        name="latest_entries_feed"),
    url(r'(?P<blog_slug>[\w-]+)/atom.*/',
        views.LatestEntriesFeedAtom(),
        name="latest_entries_feed_atom"),
]

mysite/urls.py
from __future__ import absolute_import, unicode_literals

from django.conf import settings
from django.conf.urls import include, url
from django.contrib import admin

from search import views as search_views
from wagtail.wagtailadmin import urls as wagtailadmin_urls
from wagtail.wagtailcore import urls as wagtail_urls
from wagtail.wagtaildocs import urls as wagtaildocs_urls

urlpatterns = [
    url(r'^django-admin/', include(admin.site.urls)),
    url(r'^blog/', include('blog.urls', namespace="blog")),

    url(r'^admin/', include(wagtailadmin_urls)),
    url(r'^documents/', include(wagtaildocs_urls)),

    url(r'^search/$', search_views.search, name='search'),

    # For anything not caught by a more specific rule above, hand over to
    # Wagtail's page serving mechanism. This should be the last pattern in
    # the list:
    url(r'', include(wagtail_urls)),

    # Alternatively, if you want Wagtail pages to be served from a subpath
    # of your site, rather than the site root:
    #    url(r'^pages/', include(wagtail_urls)),
]


if settings.DEBUG:
    from django.conf.urls.static import static
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns

    # Serve static and media files from development server
    urlpatterns += staticfiles_urlpatterns()
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

blog/models.py
from django.core.exceptions import ValidationError
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.conf import settings
from django.contrib.auth import get_user_model
from django.db import models
from django.db.models import Count, Q
from django.shortcuts import get_object_or_404
from django.template.defaultfilters import slugify
from django.utils.translation import ugettext_lazy as _
from wagtail.wagtailcore.fields import RichTextField, StreamField
from wagtail.wagtailcore.models import Page
from wagtail.wagtailadmin.edit_handlers import (
    FieldPanel, InlinePanel, MultiFieldPanel, FieldRowPanel, StreamFieldPanel)
from wagtail.wagtailimages.edit_handlers import ImageChooserPanel
from wagtail.wagtailsnippets.models import register_snippet
from wagtail.wagtailsearch import index
from taggit.models import TaggedItemBase, Tag
from modelcluster.tags import ClusterTaggableManager
from modelcluster.fields import ParentalKey
import datetime


COMMENTS_APP = getattr(settings, 'COMMENTS_APP', None)
#these are from nesting-box for implementing the sreamblock
from django.forms import ChoiceField
#from django.utils.translation import ugettext as _

from wagtail.wagtailembeds.blocks import EmbedBlock
from wagtail.wagtailimages.blocks import ImageChooserBlock
from wagtail.wagtailcore.blocks import (
    StructBlock, StreamBlock, CharBlock,
    RichTextBlock, TextBlock, FieldBlock, RawHTMLBlock
)

from blog.blocks import CodeBlock

class ImageFormatBlock(FieldBlock):
    """
    The Image stream field accepts an ``alignment`` parameter that adds
    a class to the resulting image. This allows editors to place the image
    in different ways, according to the built-in CSS style.
    """
    FORMAT_CHOICES = (
        ('image-left', _('Wrap left')),
        ('image-right', _('Wrap right')),
        ('image-middle', _('Place in the center')),
        ('image-full', _('Full width')),
    )

    field = ChoiceField(choices=FORMAT_CHOICES)


class ImageBlock(StructBlock):
    """
    The ``aligned_image`` block, used to add an image into the ``BlogPage``
    """
    image = ImageChooserBlock()
    alignment = ImageFormatBlock()
    caption = RichTextBlock(required=False)


class PullQuoteBlock(StructBlock):
    """
    A block that adds a quote with the proper attribution
    """
    quote = TextBlock(label=_("Quote title"))
    attribution = CharBlock()


class VideoBlock(StructBlock):
    """
    A block that adds an embedded block for
    """
    video_link = EmbedBlock()


class BodyStreamBlock(StreamBlock):
    """
    Defines a ``StreamBlock`` with a dynamic behavior when writing the body of new pages.
    It includes:
        - h2 and h3 titles
        - a paragraph
        - an image that could be aligned on the left, on the right, in the center
          or with a full width
        - a quote with attributions
        - an embedded iframe for videos
    """
    h2 = CharBlock(icon="title")
    h3 = CharBlock(icon="title")
    paragraph = RichTextBlock(icon="pilcrow")
    video = VideoBlock(label=_("Embedded video"), icon="media")
    pullquote = PullQuoteBlock(label=_("Quote"), icon="openquote")
    rawhtml = RawHTMLBlock(label=_("Embed HTML"), icon="placeholder")
    code = CodeBlock(label=_("Embed code"), icon="code")

def get_blog_context(context):
    """ Get context data useful on all blog related pages """
    context['authors'] = get_user_model().objects.filter(
        owned_pages__live=True,
        owned_pages__content_type__model='blogpage'
    ).annotate(Count('owned_pages')).order_by('-owned_pages__count')
    context['all_categories'] = BlogCategory.objects.all()
    context['root_categories'] = BlogCategory.objects.filter(
        parent=None,
    ).prefetch_related(
        'children',
    ).annotate(
        blog_count=Count('blogpage'),
    )
    return context


class BlogIndexPage(Page):
    @property
    def blogs(self):
        # Get list of blog pages that are descendants of this page
        blogs = BlogPage.objects.descendant_of(self).live()
        blogs = blogs.order_by(
            '-date'
        ).select_related('owner').prefetch_related(
            'tagged_items__tag',
            'categories',
            'categories__category',
        )
        return blogs

    def get_context(self, request, tag=None, category=None, author=None, *args,
                    **kwargs):
        context = super(BlogIndexPage, self).get_context(
            request, *args, **kwargs)
        blogs = self.blogs

        if tag is None:
            tag = request.GET.get('tag')
        if tag:
            blogs = blogs.filter(tags__slug=tag)
        if category is None:  # Not coming from category_view in views.py
            if request.GET.get('category'):
                category = get_object_or_404(
                    BlogCategory, slug=request.GET.get('category'))
        if category:
            if not request.GET.get('category'):
                category = get_object_or_404(BlogCategory, slug=category)
            blogs = blogs.filter(categories__category__name=category)
        if author:
            if isinstance(author, str) and not author.isdigit():
                blogs = blogs.filter(author__username=author)
            else:
                blogs = blogs.filter(author_id=author)

        # Pagination
        page = request.GET.get('page')
        page_size = 10
        if hasattr(settings, 'BLOG_PAGINATION_PER_PAGE'):
            page_size = settings.BLOG_PAGINATION_PER_PAGE

        if page_size is not None:
            paginator = Paginator(blogs, page_size)  # Show 10 blogs per page
            try:
                blogs = paginator.page(page)
            except PageNotAnInteger:
                blogs = paginator.page(1)
            except EmptyPage:
                blogs = paginator.page(paginator.num_pages)

        context['blogs'] = blogs
        context['category'] = category
        context['tag'] = tag
        context['author'] = author
        context['COMMENTS_APP'] = COMMENTS_APP
        context = get_blog_context(context)

        return context

    class Meta:
        verbose_name = _('Blog index')
    subpage_types = ['blog.BlogPage']


@register_snippet
class BlogCategory(models.Model):
    name = models.CharField(
        max_length=80, unique=True, verbose_name=_('Category Name'))
    slug = models.SlugField(unique=True, max_length=80)
    parent = models.ForeignKey(
        'self', blank=True, null=True, related_name="children",
        help_text=_(
            'Categories, unlike tags, can have a hierarchy. You might have a '
            'Jazz category, and under that have children categories for Bebop'
            ' and Big Band. Totally optional.')
    )
    description = models.CharField(max_length=500, blank=True)

    class Meta:
        ordering = ['name']
        verbose_name = _("Blog Category")
        verbose_name_plural = _("Blog Categories")

    panels = [
        FieldPanel('name'),
        FieldPanel('parent'),
        FieldPanel('description'),
    ]

    def __str__(self):
        return self.name

    def clean(self):
        if self.parent:
            parent = self.parent
            if self.parent == self:
                raise ValidationError('Parent category cannot be self.')
            if parent.parent and parent.parent == self:
                raise ValidationError('Cannot have circular Parents.')

    def save(self, *args, **kwargs):
        if not self.slug:
            slug = slugify(self.name)
            count = BlogCategory.objects.filter(slug=slug).count()
            if count > 0:
                slug = '{}-{}'.format(slug, count)
            self.slug = slug
        return super(BlogCategory, self).save(*args, **kwargs)


class BlogCategoryBlogPage(models.Model):
    category = models.ForeignKey(
        BlogCategory, related_name="+", verbose_name=_('Category'))
    page = ParentalKey('BlogPage', related_name='categories')
    panels = [
        FieldPanel('category'),
    ]


class BlogPageTag(TaggedItemBase):
    content_object = ParentalKey('BlogPage', related_name='tagged_items')


@register_snippet
class BlogTag(Tag):
    class Meta:
        proxy = True


def limit_author_choices():
    """ Limit choices in blog author field based on config settings """
    LIMIT_AUTHOR_CHOICES = getattr(settings, 'BLOG_LIMIT_AUTHOR_CHOICES_GROUP', None)
    if LIMIT_AUTHOR_CHOICES:
        if isinstance(LIMIT_AUTHOR_CHOICES, str):
            limit = Q(groups__name=LIMIT_AUTHOR_CHOICES)
        else:
            limit = Q()
            for s in LIMIT_AUTHOR_CHOICES:
                limit = limit | Q(groups__name=s)
        if getattr(settings, 'BLOG_LIMIT_AUTHOR_CHOICES_ADMIN', False):
            limit = limit | Q(is_staff=True)
    else:
        limit = {'is_staff': True}
    return limit


class BlogPage(Page):
    body = StreamField(BodyStreamBlock())
    intro = StreamField(BodyStreamBlock(),null=True)
    header_image = models.TextField(max_length=600, null=True)
    tags = ClusterTaggableManager(through=BlogPageTag, blank=True)
    date = models.DateField(
        _("Post date"), default=datetime.datetime.today,
        help_text=_("This date may be displayed on the blog post. It is not "
                    "used to schedule posts to go live at a later date.")
    )

    author = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        blank=True, null=True,
        limit_choices_to=limit_author_choices,
        verbose_name=_('Author'),
        on_delete=models.SET_NULL,
        related_name='author_pages',
    )

    search_fields = Page.search_fields + [
        index.SearchField('body'),
    ]
    blog_categories = models.ManyToManyField(
        BlogCategory, through=BlogCategoryBlogPage, blank=True)

    settings_panels = [
        MultiFieldPanel([
            FieldRowPanel([
                FieldPanel('go_live_at'),
                FieldPanel('expire_at'),

blog/views.py
from django.contrib.syndication.views import Feed
from django.utils.feedgenerator import Atom1Feed
from .models import BlogIndexPage, BlogPage, BlogCategory
from django.shortcuts import get_object_or_404
from django.conf import settings


def tag_view(request, tag):
    index = BlogIndexPage.objects.first()
    return index.serve(request, tag=tag)


def category_view(request, category):
    index = BlogIndexPage.objects.first()
    return index.serve(request, category=category)


def author_view(request, author):
    index = BlogIndexPage.objects.first()
    return index.serve(request, author=author)


class LatestEntriesFeed(Feed):
    '''
    If a URL ends with "rss" try to find a matching BlogIndexPage
    and return its items.
    '''

    def get_object(self, request, blog_slug):
        return get_object_or_404(BlogIndexPage, slug=blog_slug)

    def title(self, blog):
        if blog.seo_title:
            return blog.seo_title
        return blog.title

    def link(self, blog):
        return blog.full_url

    def description(self, blog):
        return blog.search_description

    def items(self, blog):
        num = getattr(settings, 'BLOG_PAGINATION_PER_PAGE', 10)
        return blog.get_descendants()[:num]

    def item_title(self, item):
        return item.title

    def item_description(self, item):
        return item.specific.body

    def item_link(self, item):
        return item.full_url


class LatestEntriesFeedAtom(LatestEntriesFeed):
    feed_type = Atom1Feed


class LatestCategoryFeed(Feed):
    description = "A Blog"

    def title(self, category):
        return "Blog: " + category.name

    def link(self, category):
        return "/blog/category/" + category.slug

    def get_object(self, request, category):
        return get_object_or_404(BlogCategory, slug=category)

    def items(self, obj):
        return BlogPage.objects.filter(
            categories__category=obj).order_by('-date')[:5]

    def item_title(self, item):
        return item.title

    def item_description(self, item):
        return item.body

blog/templates/blog/blog_index_page.html
{% extends 'blog/header_footer.html' %}
{% load static %}
{% load wagtailcore_tags %}


	{% block content %}

	{% include 'blog/optimize_header.html' %}
	
	<div class="container">
	<div class="row">
		{% if category %}
    <h4>{{ category }}</h4>
    {% endif %}
    {% if tag %}
    <h4>Posts tagged with '{{ tag }}'</h4>
    {% endif %}

    {% for rl in self.related_links.all %}
        <p>{{ rl.title }}: <a href='{{ rl.link_page.url }}'>{{ rl.link_page }}</a></p>
    {% endfor %}
	</div>
	</div>
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
		{% if blogs %}
        {% for blog in blogs %}
                {% include 'blog/blog_post.html' with include_context="index_page" %}
				<hr>
		{% endfor %}
        
        <ul class="pager">
        {% if blogs.has_next %}
          <li class="previous"><a href="?page={{ blogs.next_page_number }}{% for key,value in request.GET.items %}{% ifnotequal key 'page' %}&amp;{{ key }}={{ value }}{% endifnotequal %}{% endfor %}">&larr; Older</a></li>
        {% endif %}
        {% if blogs.has_previous %}
          <li class="next"><a href="?page={{ blogs.previous_page_number }}{% for key,value in request.GET.items %}{% ifnotequal key 'page' %}&amp;{{ key }}={{ value }}{% endifnotequal %}{% endfor %}">Newer &rarr;</a></li>
        {% endif %}
        </ul>
		{% else %}
        <p>There are currently no blog posts</p>
		{% endif %}
		
            </div>
        </div>

    </div>
	
	{% endblock %}

blog/templates/blog/blog_page.html
{% extends 'blog/header_footer.html' %}
{% load static %}
{% load wagtailcore_tags %}
	

	
	
{% block content %}
    {% include 'blog/blog_post.html' with blog=self %}
    {% if COMMENTS_APP == 'django_comments_xtd' %}
        {% include 'blog/blog_post_comments_xtd.html' with blog=self %}
    {% endif %}
{% endblock %}

blog/templates/blog/blog_post.html
{% load wagtailcore_tags static %}





{% if include_context == "index_page" %}
<div class="blog-intro">
	<a class="blog-post-link" href="{% pageurl blog %}">
		<h2>{{ blog.title }}</h2>
	</a>

	{% if blog.date %}
		<div class="meta date">
			{{ blog.date|date:"F jS, Y" }}, by 
			{{ blog.author }}
		</div>
	{% endif %}
    {% include_block blog.intro %}
	<br>
    <a href="{% pageurl blog %}">More &raquo;</a>
</div>
{% else %}
<!-- Page Header -->
<!-- Set your background image for this header on the line below. -->
{% if blog.header_image %}
<meta property="og:image"              content="{{blog.header_image}}" />
<header class="intro-header" style="background-image: url('{{blog.header_image}}')">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
				<div class="site-heading">
					<h1>{{ blog.title }}</h1>
					{% if blog.date %}
					<hr class="small">
					<span class="subheading">{{ blog.date|date:"F jS, Y" }}, by {{ blog.author }}</span>
					{% endif %}
				</div>
			</div>
		</div>
	</div>
</header>
{% else %}
<div class="blog-intro">
	<a class="blog-post-link" href="{% pageurl blog %}">
		<h2>{{ blog.title }}</h2>
	</a>

	{% if blog.date %}
		<div class="meta date">
			{{ blog.date|date:"F jS, Y" }}, by 
			{{ blog.author }}
		</div>
	{% endif %}
    {% include_block blog.intro %}
    <a href="{% pageurl blog %}">More &raquo;</a>
</div>
{% endif %}

<div class="container">
<div class="row">
	<div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
	
<div class="blog-body">
	{% include_block blog.intro %}
    {% include_block blog.body %}
</div>
{% endif %}

<hr class="small">
<div class="share">
    <span class="st_linkedin_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="LinkedIn"></span>
    <span class="st_twitter_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Tweet"></span>
    <span class="st_facebook_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Facebook"></span>
    <span class="st_plusone_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Google +1"></span>
    <span class="st_email_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Email"></span>
    <span class="st_sharethis_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="ShareThis"></span>
</div>

<div class="meta">
    <div class="tags">
        {% if blog.tags.all %}
		<small>
            Tags: 
                {% for tag in blog.tags.all %}
					
                    <a href="{% url 'blog:tag' tag.slug %}/">{{ tag }}</a>{% if not forloop.last %}, {% endif %}
					
                {% endfor %}
				</small>
        {% endif %}
    </div>
    <div class="tags-and-comments">
        {% if blog.categories.all %}
		   <small>
            Posted in 
                {% for cat in blog.categories.all %}
					<a href="{% url 'blog:category' cat.category.slug %}">{{ cat.category.name }}</a>{% if not forloop.last %}, {% endif %}
					
				{% endfor %} | 
				</small>
		{% endif %}

        <div id="comments" class="comments">
<!--             <a href="{% pageurl blog %}#disqus_thread">No Comments</a>-->			
			<div id="disqus_thread"></div>
				<script>

				/**
				*  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.
				*  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables*/
				/*
				var disqus_config = function () {
				this.page.url = '{% pageurl blog %}';  // Replace PAGE_URL with your page's canonical URL variable
				this.page.identifier = '{{blog.path}}'; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
				this.page.title = '{{blog.title}}'
				};
				*/
				(function() { // DON'T EDIT BELOW THIS LINE
				var d = document, s = d.createElement('script');
				s.src = 'https://bbrelje.disqus.com/embed.js';
				s.setAttribute('data-timestamp', +new Date());
				(d.head || d.body).appendChild(s);
				})();
				</script>
				<noscript>Please enable JavaScript to view the <a href="https://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
        </div>
    </div>
</div>
</div>
</div>
</div>

blog/templates/blog/blog_post_comments_xtd.html
{% load comments %}

{% render_comment_list for self %}
{% render_comment_form for self %}

blog/templates/blog/blog_post_comments_xtd_link.html
{% load wagtailcore_tags comments %}

{% get_comment_count for blog as comment_count %}
<p>
    <a href="{% pageurl blog %}#comments">
        {{ comment_count }} comment{{ comment_count|pluralize }}
    </a>
    {{ comment_count|pluralize:"has,have" }} been posted.
</p>

blog/templates/blog/header_footer.html
<!DOCTYPE html>
{% load static wagtailuserbar wagtailcore_tags%}
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
	<meta property="og:type"               content="website" />
	<meta property="og:title"              content="{% if self.seo_title %}{{ self.seo_title }}{% else %}{{ self.title }}{% endif %}" />

	<title>
                {% block title %}
                {% if self.seo_title %}{{ self.seo_title }}{% else %}{{ self.title }}{% endif %}
            {% endblock %}
            {% block title_suffix %}
                {% with self.get_site.site_name as site_name %}
                    {% if site_name %}- {{ site_name }}{% endif %}
                {% endwith %}
            {% endblock %}
	</title>
    <!-- Bootstrap Core CSS -->
    <link href="{% static 'main_theme/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Theme CSS -->
    <link href="{% static 'main_theme/css/clean-blog.min.css' %}" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="{% static 'main_theme/vendor/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js' %}"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js' %}"></script>
    <![endif]-->

</head>

<body>

    <!-- Navigation -->
    <nav class="navbar navbar-default navbar-custom navbar-fixed-top">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header page-scroll">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    Menu <i class="fa fa-bars"></i>
                </button>
                <a class="navbar-brand" href="{% slugurl 'home' %}">Ben Brelje</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{% slugurl 'home' %}">Home</a>
                    </li>
                    <li>
                        <a href="{% slugurl 'about' %}">About</a>
                    </li>
					<li>
                        <a href="{% slugurl 'blog' %}">Blog</a>
                    </li>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container -->
    </nav>


	
	{% wagtailuserbar %}
	{% block content %}
	{% endblock %}
    <hr>

	
    <!-- Footer -->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                    <ul class="list-inline text-center">
						<li>
                            <a href="https://www.linkedin.com/in/benjaminbrelje/">
                                <span class="fa-stack fa-lg">
                                    <i class="fa fa-circle fa-stack-2x"></i>
                                    <i class="fa fa-linkedin fa-stack-1x fa-inverse"></i>
                                </span>
                            </a>
                        </li>
                        <li>
                            <a href="https://bbrelje.wordpress.com">
                                <span class="fa-stack fa-lg">
                                    <i class="fa fa-circle fa-stack-2x"></i>
                                    <i class="fa fa-wordpress fa-stack-1x fa-inverse"></i>
                                </span>
                            </a>
                        </li>
                        <li>
                            <a href="https://gitlab.com/benjamin.brelje">
                                <span class="fa-stack fa-lg">
                                    <i class="fa fa-circle fa-stack-2x"></i>
                                    <i class="fa fa-gitlab fa-stack-1x fa-inverse"></i>
                                </span>
                            </a>
                        </li>
                    </ul>
                    <p class="copyright text-muted">Copyright &copy; 2017 Benjamin Brelje | All Rights Reserved</p>
                </div>
            </div>
        </div>
    </footer>

    <!-- jQuery -->
    <script src="{% static 'main_theme/vendor/jquery/jquery.min.js' %}"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="{% static 'main_theme/vendor/bootstrap/js/bootstrap.min.js' %}"></script>

    <!-- Contact Form JavaScript -->
    <script src="{% static 'main_theme/js/jqBootstrapValidation.js' %}"></script>
    <script src="{% static 'main_theme/js/contact_me.js' %}"></script>

    <!-- Theme JavaScript -->
    <script src="{% static 'main_theme/js/clean-blog.min.js' %}"></script>

</body>

</html>

blog/templates/blog/optimize_header.html
    <!-- Main Content -->
{% load static %}	
	    <!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
     <meta property="og:image"              content="{% static 'main_theme/img/home-bg.jpg' %}" />
    <header class="intro-header" style="background-image: url('{% static 'main_theme/img/home-bg.jpg' %}">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                    <div class="site-heading">
                        <h1>Optimized</h1>
                        <hr class="small">
                        <span class="subheading">A Research Blog about Multidisciplinary Design Optimization</span>
                    </div>
                </div>
            </div>
        </div>
    </header>